Subject: 32-rc1 aka 32-rc2: warning at manage.c:361 (set_irq_wake), matrix-keypad related?

From: [email-masked] (Pavel Machek)
Date: Sat, 2 Jan 2010 14:56:09 +0100

Hi!

> > > We ignore the failure right now in the mainline but that causes stack
> > > traces on resume as we trying to disable not enabled wakeup GPIOs. That
> > > was original Pavel's complaint.
> > 
> > Yep...
> > 
> > I'd say that BUG() simply should not trigger if wakeup can not be
> > enabled/disabled for particular source...?
> 
> Pavel,
> 
> Could you please try the patch below and let me know if it fixes the
> problem for you?

(sorry for long delay).

With 33-rc1+your patch, warnings are no longer there. 

I still have one on irq191, but that's gpio button driver.

But please, hold the patch for few more days. I may have cleaner/nicer
solution. It seems that zaurus is doing something very stupid in low layers.

Thanks,
								Pavel
-- 
(english) http://www.livejournal.com/~pavelmachek
(cesky, pictures) http://atrey.karlin.mff.cuni.cz/~pavel/picture/horses/blog.html